Name:    artikulate
Summary: Improve your pronunciation by listening to native speakers
Version: 15.04.2
Release: 1%{?dist}

# artwork: LGPL3
# code: KDE e.V. may determine that future GPL versions are accepted
# handbook doc: GFDL
License: (GPLv2 or GPLv3) and LGPLv3 and GFDL
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif

Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= 4.14
BuildRequires: libappstream-glib
BuildRequires: pkgconfig(QtGStreamer-1.0) >= 1.2.0

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kqtquickcharts%{_isa} >= %{version}
%{?kde_runtime_requires}

%description
%{summary}.

%package  libs
Summary:  Runtime files for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo

## unpackaged files
rm -v %{buildroot}%{_kde4_libdir}/libartikulate*.so


%check
appstream-util validate-relax --nonet %{buildroot}%{_kde4_datadir}/appdata/%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS
%license COPYING COPYING-ARTWORK COPYING.DOC
%{_kde4_appsdir}/artikulate/
# this is probably in the wrong place, consult upstream -- rex
%{_kde4_appsdir}/artikulateui.rc
%{_kde4_bindir}/artikulate
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_datadir}/applications/kde4/artikulate.desktop
%{_kde4_datadir}/appdata/artikulate.appdata.xml
%{_kde4_datadir}/config.kcfg/artikulate.kcfg
%{_kde4_datadir}/config/artikulate.knsrc

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libartikulatecore.so.4*
%{_kde4_libdir}/libartikulatelearnerprofile.so.4*
%{_kde4_libdir}/libartikulatesound.so.4*


%changelog
* Thu Jun 18 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.2-1
- 15.04.2

* Mon Jun 15 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.1-1
- 15.04.1, clarify License, use %%license

* Tue Jan 20 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-1
- 14.12.1
- License: GPLv2 or GPLv3 (KDE e.V. may determine future versions...)

* Fri Aug 01 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.3-1
- 4.13.3 (first try)

